/* eslint-disable no-console */
const os = require('os')
const fs = require('fs')
const path = require('path');
const { getShellScript } = require('../utils/getScripts');
const { Logger } = require('../utils/Logger');

function grantExecutionPermission(){
   let ostype = os.type();
   if(ostype === 'Darwin' || ostype === 'Linux'){
      try{
         const preCommitHookPath = getShellScript()
         fs.chmodSync(preCommitHookPath,'755')
         Logger.log(Logger.SUCCESS_TYPE,'execution permission given to execute.js')
      }
      catch(error){
         Logger.log(Logger.FAILURE_TYPE,'Failed to give execution permission',error)
      }
   }
}

module.exports = grantExecutionPermission
