const { existsSync,writeFileSync } = require("fs");
const path = require("path");
const { Logger } = require("../utils/Logger");
function initialSetup() {
  const package_json_path = path.resolve(process.cwd(),"package.json");
  updatePackageJSONScripts(package_json_path);
}

function getSetupScript() {
  return {
    postinstall: "ZDPrecommit precommit",
  };
}

function updatePackageJSONScripts(packageJsonPath) {
  if (existsSync(packageJsonPath)) {
    const packageContents = require(packageJsonPath);
    const { scripts = {} } = packageContents;
    const modifiedScripts = { ...scripts, ...getSetupScript() };
    const modifiedConfigJSON = { ...packageContents, scripts: modifiedScripts };
    writeFileSync(packageJsonPath, JSON.stringify(modifiedConfigJSON, null, 2));
  } else {
    Logger.log(
      Logger.FAILURE_TYPE,
      "Unable to find package json. Run init command in the root path of the project."
    );
  }
}

module.exports = {
    initialSetup
}
